public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
From: "Daniel Weismüller" <daniel.weismueller@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH 4/4] xt_geoip_update: Always call the cleanup function when some step fails
Date: Mon, 14 Oct 2019 16:47:56 +0200	[thread overview]
Message-ID: <20191014144756.7674-4-daniel.weismueller@ipfire.org> (raw)
In-Reply-To: <20191014144756.7674-1-daniel.weismueller@ipfire.org>

[-- Attachment #1: Type: text/plain, Size: 1043 bytes --]

Signed-off-by: Daniel Weismüller <daniel.weismueller(a)ipfire.org>
---
 src/scripts/xt_geoip_update | 31 +++++++++++++------------------
 1 file changed, 13 insertions(+), 18 deletions(-)

diff --git a/src/scripts/xt_geoip_update b/src/scripts/xt_geoip_update
index 6c0b70db0..ebd266533 100644
--- a/src/scripts/xt_geoip_update
+++ b/src/scripts/xt_geoip_update
@@ -117,27 +117,22 @@ function cleanup() {
 }
 
 function main() {
-	# Download ruleset.
-	download || exit $?
+	local func
+	for func in download install build build_legacy; do
+		if ! ${func}; then
+			# Cleanup any temporary data
+			cleanup
 
-	if ! install; then
-		# Do cleanup.
-		cleanup || exit $?
-		exit 1
-	fi
-
-	# Remove temporary files.
-	cleanup || exit $?
-
-	# Convert the ruleset.
-	build || exit $?
+			return 1
+		fi
+	done
 
-	# Convert GeoIP2 to lagacy.
-	build_legacy || exit $?
+	# Cleanup
+	cleanup || return $?
 
-	# Remove temporary files.
-	cleanup || exit $?
+	# All done
+	return 0
 }
 
 # Run the main function.
-main
+main || exit $?
-- 
2.12.2


      parent reply	other threads:[~2019-10-14 14:47 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-14 14:47 [PATCH 1/4] xt_geoip_update: Perform cleanup after successful operation Daniel Weismüller
2019-10-14 14:47 ` [PATCH 2/4] xt_geoip_update: Use /var/tmp for temporary data Daniel Weismüller
2019-10-14 14:47 ` [PATCH 3/4] xt_geoip_update: Do not create temporary directories again Daniel Weismüller
2019-10-14 14:47 ` Daniel Weismüller [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191014144756.7674-4-daniel.weismueller@ipfire.org \
    --to=daniel.weismueller@ipfire.org \
    --cc=development@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox